import type { Steppable } from "./Steppable";
import type { GameObject } from "./GameObject";
export declare abstract class Component implements Steppable {
    gameObject: GameObject;
    constructor(gameObject: GameObject);
    abstract start(): void;
    abstract update(deltaTime: number): void;
    abstract stop(): void;
}
