import type { Steppable } from "../interfaces/Steppable";
export default class SimulationContext {
    canvas: HTMLCanvasElement;
    ctx: CanvasRenderingContext2D;
    objects: Steppable[];
    constructor(canvas: HTMLCanvasElement);
    start(): void;
    update(deltaTime: number): void;
    stop(): void;
}
